/**
  * 客户
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admreportlist: params => { // 报备 - 客户列表
    return getRequestNoSort('/adm/report/list', params)
  },
  admreportdel: params => { // 报备 - 报备删除
    return getRequestNoSort('/adm/report/del', params)
  },
  admreportdetail: params => { // 报备 - 客户详情
    return getRequestNoSort('/adm/report/detail', params, 'loading')
  },
  admreportstateadd: params => { // 报备 - 更改报备状态
    return getRequestNoSort('/adm/report/state/add', params, 'loading')
  },
  admreportstepadd: params => { // 报备 - 更改报备进度
    return getRequestNoSort('/adm/report/step/add', params, 'loading')
  },
  admcustomerlist: params => { // 客户 -  列表
    return getRequest('/adm/customer/list', params)
  },
  admcustomeradd: params => { // 客户 -  添加
    return getRequestNoSort('/adm/customer/add', params, 'loading')
  },
  admcustomeredit: params => { // 客户 -  编辑
    return getRequestNoSort('/adm/customer/edit', params, 'loading')
  },
  admcustomerdetail: params => { // 客户 -  详情
    return getRequestNoSort('/adm/customer/detail', params, 'loading')
  },
  admcustomerdel: params => { // 客户 -  删除
    return getRequestNoSort('/adm/customer/del', params, 'loading')
  },
  admcustomerimport: params => { // 客户 -  导入
    return getRequestNoSort('/adm/customer/import', params, 'loading')
  },
  admtradelist: params => { // 成交 -  列表
    return getRequest('/adm/trade/list', params)
  },
  admtradeadd: params => { // 成交 -  添加
    return getRequestNoSort('/adm/trade/add', params, 'loading')
  },
  admtradeedit: params => { // 成交 -  编辑
    return getRequestNoSort('/adm/trade/edit', params, 'loading')
  },
  admtradedetail: params => { // 成交 -  详情
    return getRequestNoSort('/adm/trade/detail', params, 'loading')
  },
  admtradedel: params => { // 成交 -  删除
    return getRequestNoSort('/adm/trade/del', params, 'loading')
  },
  admtraderecordlist: params => { // 成交 更新记录 -  列表
    return getRequest('/adm/trade/record/list', params)
  },
  admtraderecordadd: params => { // 成交  更新记录 -  添加
    return getRequestNoSort('/adm/trade/record/add', params, 'loading')
  },
  admtraderecordedit: params => { // 成交 更新记录 -  编辑
    return getRequestNoSort('/adm/trade/record/edit', params, 'loading')
  },
  admtraderecorddel: params => { // 成交  更新记录 -  删除
    return getRequestNoSort('/adm/trade/record/del', params, 'loading')
  },
  admtradestateedit: params => { // 成交  有效无效更新状态
    return getRequestNoSort('/adm/trade/state/edit', params, 'loading')
  },
}
